#!/bin/sh
cd "$1"
cd ../../

if [ -d Contents/Resources/SupportItems/EskapeUSB.kext ]; then
    # check if the target exists in the install location
    # delete it if it does
    if [ -d /System/Library/Extensions/EskapeUSB.kext ]; then
#        echo Ignore any errors unloading the kernel extension...
        /sbin/kextunload /System/Library/Extensions/EskapeUSB.kext
        rm -rf /System/Library/Extensions/EskapeUSB.kext
    fi
    
    cp -Rp Contents/Resources/SupportItems/EskapeUSB.kext /System/Library/Extensions/
    chown -R root:wheel /System/Library/Extensions/EskapeUSB.kext
    chmod -R ugo+r /System/Library/Extensions/EskapeUSB.kext
    touch /System/Library/Extensions
    /sbin/kextload /System/Library/Extensions/EskapeUSB.kext
	# send kextd a HUP so our newly loaded kext doesn't mysteriously disappear 
	KD_PID=`ps -ax | awk '{print $1" "$5}' | grep kextd | awk '{print $1}'`
	if [ ! -z $KD_PID ]; then
#		echo "Sending kextd ($KD_PID) HUP signal"
		/bin/kill -HUP $KD_PID
	fi
else
    echo EskapeUSB.kext missing from build!
fi
