#!/bin/sh
cd "$1"
cd ../../


# check if the global frameworks directory exists, create it if not
if [ ! -d /Library/Frameworks ]; then
	  # create
	mkdir /Library/Frameworks
	  # set group to the administrative group
	chgrp staff /Library/Frameworks
	  # allow group users to modify
	chmod 775 /Library/Frameworks
fi

if [ -d Contents/Resources/SupportItems/TrMovieMaker.framework ]; then
    # check if the framework exists in /Library/Frameworks
    # delete it if it is
    if [ -d /Library/Frameworks/TrMovieMaker.framework ]; then
        rm -rf /Library/Frameworks/TrMovieMaker.framework
    fi
    
    cp -Rp Contents/Resources/SupportItems/TrMovieMaker.framework /Library/Frameworks
    chmod -R ogu+r /Library/Frameworks/TrMovieMaker.framework
    
    /usr/bin/update_prebinding  -files /Library/Frameworks/Trinity.framework
else
    echo TrMovieMaker.framework missing from build!
fi
